Skip to main content
GET
List devices with a software product installed

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Product id from the products list

Query Parameters

companyIds
string

Company ids (1-100; repeat the key or comma-separate). Omit for every company the caller can see.

page
integer
default:1

Page number

Required range: 1 <= x <= 1000000
limit
integer
default:25

Items per page

Required range: 1 <= x <= 100

Device or company name

Maximum string length: 200
version
string
Maximum string length: 100
statuses
string

Install statuses (repeat the key or comma-separate): end_of_life, ending_soon, outdated, current, unknown

Response

Devices with the product installed

data
object[]
required
pagination
object
required